Gentoo Archives: gentoo-commits

From: Michael Palimaka <kensington@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libite/
Date: Thu, 07 Dec 2017 10:29:58
Message-Id: 1512642579.5799c21d2de1f44ef8de29a200692b852cbe67e8.kensington@gentoo
commit:     5799c21d2de1f44ef8de29a200692b852cbe67e8
Author:     Oz N Tiram <oz.tiram <AT> mobilityhouse <DOT> com>
AuthorDate: Sun Dec  3 12:49:22 2017 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Thu Dec  7 10:29:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5799c21d

dev-libs/libite: a collection of useful BSD API

Libite is a lightweight library of frog DNA. It can be used to fill the
gaps in any dinosaur project. It holds useful functions and macros
developed by both Finit and the OpenBSD project. Most notably the
string functions: strlcpy(3), strlcat(3) and the highly useful *BSD
sys/queue.h and sys/tree.h API's.

Closes: https://bugs.gentoo.org/639626
Closes: https://github.com/gentoo/gentoo/pull/6421
Package-Manager: Portage-2.3.13, Repoman-2.3.1

 dev-libs/libite/Manifest            |  1 +
 dev-libs/libite/libite-2.0.0.ebuild | 23 +++++++++++++++++++++++
 dev-libs/libite/metadata.xml        | 21 +++++++++++++++++++++
 3 files changed, 45 insertions(+)

diff --git a/dev-libs/libite/Manifest b/dev-libs/libite/Manifest
new file mode 100644
index 00000000000..cec74c2497b
--- /dev/null
+++ b/dev-libs/libite/Manifest
@@ -0,0 +1 @@
+DIST libite-2.0.0.tar.xz 259960 BLAKE2B 4c5393daaf2ca6eb830fc5f11b1d38e9c1e2374c5f5d87bb973c7e54b9f81480d4a270a4551689806620cd5a84671d1055d409d6dd090acb64bf7fc454d1c283 SHA512 18516f19d36d81169116562b4b27d76240715424cdde9b87eae831f35adb17d70fb01e2eae5e7e9ce99e2c88344c2c15d2b7d11f4ea2e9ae0deb25ee5ee4c563

diff --git a/dev-libs/libite/libite-2.0.0.ebuild b/dev-libs/libite/libite-2.0.0.ebuild
new file mode 100644
index 00000000000..4dff1da74a4
--- /dev/null
+++ b/dev-libs/libite/libite-2.0.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A collection of useful BSD APIs"
+HOMEPAGE="https://github.com/troglobit/libite"
+SRC_URI="https://github.com/troglobit/libite/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+src_configure(){
+	econf --enable-static=$(usex static-libs)
+}
+
+src_install(){
+	default
+	find "${D}" -name '*.la' -delete || die
+	rm "${D}/usr/share/doc/${PF}/LICENSE" || die
+}

diff --git a/dev-libs/libite/metadata.xml b/dev-libs/libite/metadata.xml
new file mode 100644
index 00000000000..ec1edc5f993
--- /dev/null
+++ b/dev-libs/libite/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<name>Oz Tiram</name>
+		<email>oz.tiram@×××××.com</email>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@g.o</email>
+	</maintainer>
+	<longdescription lang="en">
+		Libite is a lightweight library of frog DNA. It can be used to fill the
+		gaps in any dinosaur project. It holds useful functions and macros
+		developed by both Finit and the OpenBSD project. Most notably the
+		string functions: strlcpy(3), strlcat(3) and the highly useful *BSD
+		sys/queue.h and sys/tree.h API's.
+	</longdescription>
+	<upstream>
+		<remote-id type="github">troglobit/libite</remote-id>
+	</upstream>
+</pkgmetadata>